Eid software 2021.5 update :

tytsjerksteradiel
Held
Held
Berichten: 363
Lid geworden op: Ma 16 Dec 2019, 01:16

Eid software 2021.5 update :

Berichtdoor tytsjerksteradiel » Do 18 Nov 2021, 13:25

onder LMDE 4 ( ook onder Debian 11 ) doet zich momenteel hetzelfde het probleem voor als onder Linux Mint 20.2

wie nu ( 18/1//2021 om 13 uur ) de software van de site download :
https://eid.belgium.be/nl/linux-eid-sof ... nstallatie

zal merken dat de 2021.5 versie momenteel niet meer aangeboden wordt , maar wel “ voorlopig ? “ de 2021.4 versie

hoewel door de respectievelijke distro's aangeboden adviseer ik van voorlopig de 2021.4 versie niet te “ updaten / upgraden “
Debian 11 Bullseye 64-bit Cinnamon / Firefox ESR / DuckDuckGo
HP LaserJet Pro MFP M130fw
stegiman
Moderator
Moderator
Berichten: 789
Lid geworden op: Zo 17 Nov 2019, 15:12

Re: Eid software 2021.5 update :

Berichtdoor stegiman » Do 18 Nov 2021, 23:24

Vreemd want ik heb de nieuwste versie via upgrade en alles werkt perfect en snel.

Ik heb geen enkel regel in: sudo nano /etc/apt/sources.list.d/eid.list
En toch werkt het perfect.
tytsjerksteradiel
Held
Held
Berichten: 363
Lid geworden op: Ma 16 Dec 2019, 01:16

Re: Eid software 2021.5 update :

Berichtdoor tytsjerksteradiel » Vr 19 Nov 2021, 01:13

maximaliseer het venster waar U in werkt > dan hoeft U niet tot beneden te scrollen om ze te vinden :

GNU nano 3.2 /etc/apt/sources.list.d/eid.list
# To enable the candidate repository, uncomment the below line, put "deb" in
# front of it, and run "dpkg-reconfigure eid-archive" to enable the archive
# key.
#
# The candidate repository contains unsupported prerelease packages. Use at
# your own risk.
#
# Note, however, that the candidate repository is usually empty; it is
# used when we're preparing (and testing) a new release. Therefore, it
# should be relatively safe.
#
# There is also another "continuous" repository, for which packages get
# recompiled for each and every change to the source. This isn't listed
# (so that it can't be accidentally enabled), but the configuration is
# the same as the below, with "candidate" replaced by "continuous".
#
# http://files.eid.belgium.be/debian candidate/bionic main
# NOTE: files2.eid.belgium.be is a mirror for the main repository ONLY.
# That is, it does not contain the continuous or candidate repositories.
# The regular repository with released packages. This is what you should
# use.
deb https://files.eid.belgium.be/debian bullseye main
deb https://files2.eid.belgium.be/debian bullseye main


^G Hulp ^O Opslaan ^W Zoeken ^K Knippen ^J Uitvullen ^C Positie M-U Ongedaan makM-A Markeren M-] Naar haakje M-Q Voorgaande
^X Afsluiten ^R Inlezen ^\ Vervangen ^U Plakken ^T Spelling ^_ Naar regel M-E Herdoen M-6 Kopiëren ^Q Terugzoeken M-W Volgende
Debian 11 Bullseye 64-bit Cinnamon / Firefox ESR / DuckDuckGo
HP LaserJet Pro MFP M130fw
stegiman
Moderator
Moderator
Berichten: 789
Lid geworden op: Zo 17 Nov 2019, 15:12

Re: Eid software 2021.5 update :

Berichtdoor stegiman » Vr 19 Nov 2021, 07:34

Hier staat toch iets anders op deze pagina (klik)
Je gebruikt zover ik weet nog niet de officele debian 11 en dan is het bullseye anders is het nog steeds buster.
tytsjerksteradiel
Held
Held
Berichten: 363
Lid geworden op: Ma 16 Dec 2019, 01:16

Re: Eid software 2021.5 update :

Berichtdoor tytsjerksteradiel » Vr 19 Nov 2021, 13:38

Hier staat toch iets anders op deze pagina (klik)
Je gebruikt zover ik weet nog niet de officele debian 11 en dan is het bullseye anders is het nog steeds buster.
1/ zal verder niemand boeien en al even relevant als uw reactie , maar wij hebben hier 6 laptops in gebruik als daily driver die exclusief onder Debian 11 Bullseye Cinnamon draaien ( 4 onder Bullseye 11 en 2 onder Bulsseye 11.1 > alle 6 Single / Boot en clean install ) .

2/ stel mij ernstig vragen bij het feit dat U er niet eens in slaagt van , weze het via de “ terminal “ of via een text editor , de inhoud van “ /etc/apt/sources.list.d/eid.list “ op te vragen .

3/ wat is de diepe betekenis van uw verwijzing naar : https://www.debian.org/releases/bullseye/errata ?

Ten slotte , om terug op uw eerste vraag terug te komen ; de uitdraai die ik van etc/apt/sources.list.d/eid.list poste is deze LMDE 4 Cinnamon dat ik hier louter uit curiositeit naast Linux Mint 20.2 heb draaien , NIET van Debian 11 Bullseye :

GNU nano 3.2 /etc/apt/sources.list.d/eid.list
# To enable the candidate repository, uncomment the below line, put "deb" in
# front of it, and run "dpkg-reconfigure eid-archive" to enable the archive
# key.
#
# The candidate repository contains unsupported prerelease packages. Use at
# your own risk.
#
# Note, however, that the candidate repository is usually empty; it is
# used when we're preparing (and testing) a new release. Therefore, it
# should be relatively safe.
#
# There is also another "continuous" repository, for which packages get
# recompiled for each and every change to the source. This isn't listed
# (so that it can't be accidentally enabled), but the configuration is
# the same as the below, with "candidate" replaced by "continuous".
#
# http://files.eid.belgium.be/debian candidate/bionic main
# NOTE: files2.eid.belgium.be is a mirror for the main repository ONLY.
# That is, it does not contain the continuous or candidate repositories.
# The regular repository with released packages. This is what you should
# use.
deb https://files.eid.belgium.be/debian bullseye main
deb https://files2.eid.belgium.be/debian bullseye main

^G Hulp ^O Opslaan ^W Zoeken ^K Knippen ^J Uitvullen ^C Positie M-U Ongedaan makM-A Markeren M-] Naar haakje M-Q Voorgaande
^X Afsluiten ^R Inlezen ^\ Vervangen ^U Plakken ^T Spelling ^_ Naar regel M-E Herdoen M-6 Kopiëren ^Q Terugzoeken M-W Volgende

by the way ; op de officiele site van eID Software Belgium wordt de nieuwe 2021.5 nog steeds niet aangeboden , momenteel nog steeds de voorgaande , namelijk 2021.4
aan wie tegen beter willen in alsnog de 2021.5 wil installeren , die U bvb onder Synaptic vindt , zou ik zeggen ; doe wat U niet laten kunt ...
Debian 11 Bullseye 64-bit Cinnamon / Firefox ESR / DuckDuckGo
HP LaserJet Pro MFP M130fw
stegiman
Moderator
Moderator
Berichten: 789
Lid geworden op: Zo 17 Nov 2019, 15:12

Re: Eid software 2021.5 update :

Berichtdoor stegiman » Vr 19 Nov 2021, 23:56

Waarom mij verwijten dat ik niks van ken?
Ik kan alles oproepen en aanpassen en ook verwijderen alsmede programmeren als dat nodig is.
Daarvoor heb ik geen enkel laptop voor nodig.
tytsjerksteradiel
Held
Held
Berichten: 363
Lid geworden op: Ma 16 Dec 2019, 01:16

Re: Eid software 2021.5 update :

Berichtdoor tytsjerksteradiel » Za 20 Nov 2021, 01:01

Waarom mij verwijten dat ik niks van ken?
Ik kan alles oproepen en aanpassen en ook verwijderen alsmede programmeren als dat nodig is.
Daarvoor heb ik geen enkel laptop voor nodig.
Ik verwijt U helemaal niets , ik stel U gewoon vragen waar ik nog steeds de antwoorden op verwacht :

1/ U stelt : “Je gebruikt zover ik weet nog niet de officele debian 11 en dan is het bullseye anders is het nog steeds buster “
waar leidt U dit vanaf ? In werk niet met Debian 10 Buster !

2/ U refereert in uw reactie naar de site https://www.debian.org/releases/bullseye/errata "
en vroeg U wat hiervan de diepe betekenis was ?

3/ U beweert de eID software probleemloos te gebruiken ?
En voegt er aan toe dat U in “ /etc/apt/sources.list.d/eid.list “ er geen sporen van terug vindt ?
“ Ik heb geen enkel regel in: “ sudo nano /etc/apt/sources.list.d/eid.list “
dat is pas vreemd ...

wat mij tot volgende vragen naar U toebrengt :
a /gebruikt U daadwerkelijk de Eid software ?
b / U zegt “ Ik heb de nieuwste identiteitskaart“ maar stel mij de vraag of U wel degelijk over de geschikte bezit , namelijk :
- de belgische Elektronische identiteitskaart – eID ?
- desgevallend een Belgische “ vreemdelingenkaart ?
- of een Kids-ID : het elektronisch identiteitsdocument voor Belgische kinderen onder de 12 jaar. ???
wellicht verwart U eID software c.q. eID kaartlezer met kaartlezer “ tout court “ ?
Debian 11 Bullseye 64-bit Cinnamon / Firefox ESR / DuckDuckGo
HP LaserJet Pro MFP M130fw
stegiman
Moderator
Moderator
Berichten: 789
Lid geworden op: Zo 17 Nov 2019, 15:12

Re: Eid software 2021.5 update :

Berichtdoor stegiman » Za 20 Nov 2021, 07:27

1) Debian 11 Bullseye 64-bit Cinnamon staat bij uw profiel
2) Ik was op zoek naar Bullseye en komt op die pagina uit dat je mogelijk non free moet toevoegen.
3) In /etc/apt/sources.list.d/eid.list heb ik geen enkel regel staan. Eigenlijk is dat niet zo moeilijk om te begrijpen.

a) Tegenwoordig moet ik bijna dagelijks Eid software gebruiken.
b) Als ik zeg dat ik de nieuwste identiteitskaart heb dan betekend dat 2 chips met vingerafdruk en 2 pasfoto aan beiden zeiden van de kaart.

Een eID kaartlezer kan ook een kaartlezer zijn: denk maar aan SD kaart lezer.

Mijn opmerking: wat voor zin heeft het dat je de regel toevoegt aan /etc/apt/sources.list.d/eid.list als bij update ook gecontroleerd wordt naar Eid site.
Dat ben ik nu 1 week aan het testen.
tytsjerksteradiel
Held
Held
Berichten: 363
Lid geworden op: Ma 16 Dec 2019, 01:16

Re: Eid software 2021.5 update :

Berichtdoor tytsjerksteradiel » Za 20 Nov 2021, 16:49

Ga het voorlopig hier bij houden :
kom het nog net te controleren 20/11/2021 om 16u27 ) , het nieuwe eid-archive_2021.5_all.deb pakket is nog steeds NIET te downloaden op de officiele site van eid Belgium … enkel eid-archive_2021.4_all.deb !

LMDE 4 ( de Mint variant ) met firefox 94,0 , geeft met sudo apt update nog steeds een om de haren uit te trekken commentaar :

Genegeerd:1 https://files2.eid.belgium.be/debian bullseye InRelease
Fout:2 https://files2.eid.belgium.be/debian bullseye Release
Certificate verification failed: The certificate is NOT trusted. The name in the certificate does not match the expected. Could not handshake: Error in the certificate verification. [IP: 212.35.97.188 443]
Geraakt:3 http://security.debian.org buster/updates InRelease
Geraakt:4 https://deb.debian.org/debian buster InRelease
Geraakt:5 https://files.eid.belgium.be/debian bullseye InRelease
Geraakt:6 https://deb.debian.org/debian buster-updates InRelease
Geraakt:7 https://deb.debian.org/debian buster-backports InRelease
Genegeerd:8 http://packages.linuxmint.com debbie InRelease
Geraakt:9 http://packages.linuxmint.com debbie Release
Pakketlijsten worden ingelezen... Klaar
E: De pakketbron 'https://files2.eid.belgium.be/debian bullseye Release' heeft geen Release-bestand.
N: Bijwerken van de pakketlijst uit een dergelijke pakketbron kan niet veilig gebeuren en is daarom standaard uitgezet.
N: Zie de man-pagina apt-secure(8) voor details over het aanmaken van een pakketbron en over de configuratie langs gebruikerskant.

GNU nano 3.2 /etc/apt/sources.list.d/eid.list geeft aan :
deb https://files.eid.belgium.be/debian bullseye main
deb https://files2.eid.belgium.be/debian bullseye main

... géén vuiltje aan de lucht ?

geduld uitoefenen totdat het nieuwe aangepaste pakket beschikbaar is lijkt mij de boodschap … en uiteraard , niets of niemand kan U beletten van in afwachting in de voetsporen te treden van wie graag de “ Farpotshket “ tour op gaat
Debian 11 Bullseye 64-bit Cinnamon / Firefox ESR / DuckDuckGo
HP LaserJet Pro MFP M130fw
tytsjerksteradiel
Held
Held
Berichten: 363
Lid geworden op: Ma 16 Dec 2019, 01:16

Re: Eid software 2021.5 update :

Berichtdoor tytsjerksteradiel » Vr 26 Nov 2021, 16:58

Gezien ik in de praktijk nog enkel geïnteresseerd ben in de LMDE variante van MINT ( gebaseerd op Debian ) als mogelijk Linux besturingssysteem ga ik mij consequent naar de toekomst toe zoveel mogelijk tot deze laatste beperken :

Heb terug een clean install van dito distro gedaan en vervolgens , gebruikmakend van het huidige eid-archive_2021.4_all.deb pakket , de Eid software geïnstalleerd :
eerste vaststelling , etc/apt/sources.list.d/eid.list gaf aan :
deb http://files.eid.belgium.be/debian bionic main ???
deb http://files2.eid.belgium.be/debian bionic main ???
– alhoewel bionic door BOSA nog steeds ondersteund wordt , sofort gewijzigd naar buster
– in afwachting van uitsluitsel *, de in bijwerkbeheer aangeboden “ eid-archive_2021.5_all.deb “ actualisering geblacklisted > waardoor ik voorlopig in " bijwerkbeheer " (**)van deze vervelende melding verlost ben .

Mijn huidige configuratie :

GNU nano 3.2 /etc/apt/sources.list.d/eid.list
……….
# The regular repository with released packages. This is what you should
# use.
deb http://files.eid.belgium.be/debian buster main
deb http://files2.eid.belgium.be/debian buster main

***@***:~$ inxi -r
Repos:
No active apt repos in: /etc/apt/sources.list
Active apt repos in: /etc/apt/sources.list.d/eid.list
1: deb http://files.eid.belgium.be/debian buster main
2: deb http://files2.eid.belgium.be/debian buster main
Active apt repos in: /etc/apt/sources.list.d/official-package-repositories.list
1: deb http://packages.linuxmint.com debbie main upstream import backport #id:linuxmint_main
2: deb https://deb.debian.org/debian buster main contrib non-free
3: deb https://deb.debian.org/debian buster-updates main contrib non-free
4: deb http://security.debian.org buster/updates main contrib non-free
5: deb https://deb.debian.org/debian buster-backports main contrib non-free
***@***:~$

(**) : ***@***:~$ sudo apt list --upgradable -a geeft nog steeds aan :
Bezig met oplijsten... Klaar
eid-archive/stable,stable,stable,stable 2021.5 all [opwaardeerbaar van: 2021.4]
eid-archive/now 2021.4 all [geïnstalleerd,opwaardeerbaar naar: 2021.5]
mintinstall/debbie,debbie 8.0.9 all [opwaardeerbaar van: 8.0.3]
mintinstall/now 8.0.3 all [geïnstalleerd,opwaardeerbaar naar: 8.0.9]
***@***:~$

(*) Ik blijf benieuwd naar wat ( BOSA … ) :
Berichtdoor MenthaSuaveolens » Za 20 Nov 2021, 16:27
Ik heb bij Bosa een foutrapport aangemaakt: Incident INC0572769 "Na laatste update is update-server niet meer beschikbaar.Fout:11 https://files2.eid.belgium.be/debian ulyana Release Certificate verification failed: The certificate is NOT trusted. The name in the certificate does not match the expected. Could not handshake: Error in the certificate verification. [IP: 212.35.97.188 443]" Ik laat iets weten als ik een terugmelding krijg
.
Te vertellen heeft .
Debian 11 Bullseye 64-bit Cinnamon / Firefox ESR / DuckDuckGo
HP LaserJet Pro MFP M130fw
tytsjerksteradiel
Held
Held
Berichten: 363
Lid geworden op: Ma 16 Dec 2019, 01:16

Re: Eid software 2021.5 update :

Berichtdoor tytsjerksteradiel » Zo 28 Nov 2021, 19:12

Mocht het U boeien , Update van mijn wedervaren :

heb inmiddels de update “ mintinstall/debbie,debbie 8.0.9 all “ geïnstalleerd .
“ sudo apt list --upgradable -a “ geeft nu nog enkel aan :
eid-archive/stable,stable,stable,stable 2021.5 all [opwaardeerbaar van: 2021.4]
eid-archive/now 2021.4 all [geïnstalleerd,opwaardeerbaar naar: 2021.5]

heb ook een mail naar BOSA gestuurd waar ik onze bezorgdheid meedeel m.b.t. tot de foutmelding die we zowel onder bvb Debian , LMDE4 als Linux Mint krijgen :
Geachten ,
er is momenteel behoorlijk wat te doen rond de update van de Eid software met betrekking tot het Debian pakket “ eid-archive_2021.5_all.deb “ dat nota bene inmiddels niet meer te downloaden is op jullie site … nu nog enkel de “ eid-archive_2021.4_all.deb “ versie .
Onder welke Linux distro dan ook krijgen we nu na “ update / upgrade “ de verontrustende melding :
De pakketbron 'https://files2.eid.belgium.be/debian ****** Release' heeft niet langer een Release-bestand.
N: Bijwerken van de pakketlijst uit een dergelijke pakketbron kan niet veilig gebeuren en is daarom standaard uitgezet.
Moeten wij ons als gewone gebruiker van bvb Debian , Linux Mint of LMDE 4 hier zorgen over maken ?

Met vriendelijk groeten
Debian 11 Bullseye 64-bit Cinnamon / Firefox ESR / DuckDuckGo
HP LaserJet Pro MFP M130fw
tytsjerksteradiel
Held
Held
Berichten: 363
Lid geworden op: Ma 16 Dec 2019, 01:16

Re: Eid software 2021.5 update :

Berichtdoor tytsjerksteradiel » Ma 29 Nov 2021, 03:18

Volledigheidshalve ( mijn huidige configuratie )
Het Belgische eID-archief pakket bevat digitaal ondertekende release bestanden.
Dit pakket bevat de archiefsleutels die voor dat archief gebruikt worden, alsook een bronnenlijst configuratie bestand die ze onmiddellijk activeerd .
ik hou het voorlopig bij eid-archive_2021.4_all.deb
https://postimg.cc/HjP4p4C6
De bronnen :
https://postimg.cc/zVbw3bz8
moeten er nog sleuteltjes zijn ? :
https://postimg.cc/WFTSk29S
Debian 11 Bullseye 64-bit Cinnamon / Firefox ESR / DuckDuckGo
HP LaserJet Pro MFP M130fw
tytsjerksteradiel
Held
Held
Berichten: 363
Lid geworden op: Ma 16 Dec 2019, 01:16

eid-archive_2021.6_all.deb

Berichtdoor tytsjerksteradiel » Wo 01 Dec 2021, 18:10

Beleefdheidshalve een laatste reactie :
BOSA heeft een nieuw Debian installatiepakket : eid-archive_2021.6_all.deb die het “ server “ probleem onder Linux Mint alvast oplost :
cf post van MenthaSuaveolens : viewtopic.php?f=7&t=8073

of dit onder LMDE 4 al even vlot in zijn werk gaat kan ik helaas niet meer bevestigen gezien ik na Linux Mint ook LMDE 4 inmiddels afgevoerd heb als mogelijk besturingssysteem op onze werkcomputers .
Ga ervan van uit dat dit wel zal lukken maar ruim de plaats voor wie hier verder wil over posten .
Ps : heb geen reactie van BOSA ontvangen met betrekking tot mijn algemene vraag .

See you again in LMDE 5 ?
Debian 11 Bullseye 64-bit Cinnamon / Firefox ESR / DuckDuckGo
HP LaserJet Pro MFP M130fw
stegiman
Moderator
Moderator
Berichten: 789
Lid geworden op: Zo 17 Nov 2019, 15:12

Re: Eid software 2021.5 update :

Berichtdoor stegiman » Do 02 Dec 2021, 00:03

Werkt perfect in LDME 4

Terug naar “Linux Mint Debian ( LMDE )”

Wie is er online

Gebruikers op dit forum: Geen geregistreerde gebruikers en 3 gasten